Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0-SNAPSHOT
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.kie.services.impl.bpmn2
Class ProcessDescRepoHelper

    java.lang.Object
      org.jbpm.kie.services.impl.bpmn2.ProcessDescRepoHelper

    public class ProcessDescRepoHelper

extends Object

Constructor Summary
`ProcessDescRepoHelper()`

Method Summary
`void` | `clear()`
`Map<String,String>` | `getInputs()`
`Map<String,String>` | `getItemDefinitions()`
`ProcessAssetDesc` | `getProcess()`
`Collection<String>` | `getReusableSubProcesses()`
`Map<String,String>` | `getTaskAssignments()`
`Map<String,Map<String,String>>` | `getTaskInputMappings()`
`Map<String,Map<String,String>>` | `getTaskOutputMappings()`
`Map<String,TaskDefImpl>` | `getTasks()`
`void` | `setItemDefinitions(Map<String,String> itemDefinitions)`
`void` | `setProcess(ProcessAssetDesc process)`
`void` | `setReusableSubProcesses(Collection<String> reusableSubProcesses)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ProcessDescRepoHelper

    public ProcessDescRepoHelper()

Method Detail

### setProcess

    public void setProcess(ProcessAssetDesc process)

### getProcess

    public ProcessAssetDesc getProcess()

### getTasks

    public Map<String,TaskDefImpl> getTasks()

### getTaskInputMappings

    public Map<String,Map<String,String>> getTaskInputMappings()

### getTaskOutputMappings

    public Map<String,Map<String,String>> getTaskOutputMappings()

### getInputs

    public Map<String,String> getInputs()

### getTaskAssignments

    public Map<String,String> getTaskAssignments()

### getItemDefinitions

    public Map<String,String> getItemDefinitions()

### setItemDefinitions

    public void setItemDefinitions(Map<String,String> itemDefinitions)

### clear

    public void clear()

### getReusableSubProcesses

    public Collection<String> getReusableSubProcesses()

### setReusableSubProcesses

    public void setReusableSubProcesses(Collection<String> reusableSubProcesses)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0-SNAPSHOT
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2013 JBoss by Red Hat. All Rights Reserved.